Bug 620251 - Yadex aborts when it fails to open a lucida font
Summary: Yadex aborts when it fails to open a lucida font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yadex
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-01 19:05 UTC by Steven Elliott
Modified: 2010-10-08 20:53 UTC (History)
1 user (show)

Fixed In Version: yadex-1.7.0-17.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-08 12:41:24 UTC


Attachments (Terms of Use)

Description Steven Elliott 2010-08-01 19:05:36 UTC
Description of problem:

Yadex aborts (exits with an exit code of 1) when it fails to open a lucida font.  The error is seen when attempting to display a window for the doom map being edited (after "e map01" or "e e1m1").


Version-Release number of selected component (if applicable):

Fedora 13 x686 (Probably x86_64 as well.  I can check if it's helpful)
yadex-1.7.0-13


How reproducible:

Always.


Steps to Reproduce:
1. Start Yadex via the command line with "yadex".
2. Attempt to edit a map that is suitable for the game mode used.  This can be "e e1m1" for Doom I or "e map01" for Doom II / Freedoom.


Actual results:

Yadex aborts with an error having to do with fonts:

  XQueryFont(0x985da80, 0x6400002, 163967, 32, 32
  X Error of failed request:  
    BadName (named color or font does not exist)
    Major opcode of failed request:  45 (X_OpenFont)
    Serial number of failed request:  12
    Current serial number in output stream:  13

Note that the first line in the above is from "ltrace" whereas the following lines are written to stderr.  So, the "X Error of ..." to "Current serial ..." lines can be seen without using any debugging tools.

Immediately after failing with the above error Yadex exits with an exit code of 1 and no core dump.


Expected results:

Instead of displaying the above error Yadex should create a new graphical window with a title such as "Yadex: map01" that contains a 2D overview of the map specified.


Additional info:

The offending line in the Yadex source is line 497 of src/gfx.cc:
  // Query the font we'll use for FONTW, FONTH and FONTYOFS.
    xqf = XQueryFont (dpy,
      default_font ? XGContextFromGC (DefaultGC (dpy, scn)) : font_xfont);

Debugging revealed that Yadex is attempting to load the following font ("font_name" variable):
  -b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso8859-1

The above can be found in Yadex's configuration file (/etc/yadex/1.7.0/yadex.cfg):
  font = -b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso8859-1

I attempted to fix the problem by installing what would seem to be the relevant font:
  > yum list | grep -i lucida
  bitmap-lucida-typewriter-fonts.noarch
  > yum install bitmap-lucida-typewriter-fonts
However, that did not help.  

Removing the "font = " line mentioned above from Yadex's congfiguration file (/etc/yadex/1.7.0/yadex.cfg) does fix the problem.  It seems that when that line is removed Yadex uses some other default font that does work.  And as far as I can tell it looks the same as it has in the past (before this bug).

Comment 1 Fedora Update System 2010-09-29 19:38:41 UTC
yadex-1.7.0-17.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yadex-1.7.0-17.fc14

Comment 2 Fedora Update System 2010-09-29 19:38:47 UTC
yadex-1.7.0-17.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yadex-1.7.0-17.fc13

Comment 3 Fedora Update System 2010-09-30 05:31:05 UTC
yadex-1.7.0-17.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yadex'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/yadex-1.7.0-17.fc14

Comment 4 Fedora Update System 2010-10-08 12:41:19 UTC
yadex-1.7.0-17.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-10-08 20:53:45 UTC
yadex-1.7.0-17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.